function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Column, Entity, PrimaryColumn } from "typeorm";
import { id } from "../id.js";
export let ReversiMatching = class ReversiMatching {
    id;
    createdAt;
    parentId;
    childId;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], ReversiMatching.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the ReversiMatching."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], ReversiMatching.prototype, "createdAt", void 0);
_ts_decorate([
    Column(id()),
    _ts_metadata("design:type", Object)
], ReversiMatching.prototype, "parentId", void 0);
_ts_decorate([
    Column(id()),
    _ts_metadata("design:type", Object)
], ReversiMatching.prototype, "childId", void 0);
ReversiMatching = _ts_decorate([
    Entity("reversi_matching")
], ReversiMatching);
